import { Component, h, Host, Prop } from '@stencil/core';
export class DvnAppSpaceMessageCard {
  constructor() {
    this.leanedSides = true;
  }
  render() {
    const { space } = this;
    return (h(Host, null,
      h("dvn-card", { elevation: 0, leanedSides: this.leanedSides },
        h("div", { class: "d-flex align-items-center" },
          h("dvn-image", { leaned: true, bordered: true, src: space.logoUrl, size: 48, text: space.name[0] }),
          h("slot", null)))));
  }
  static get is() { return "dvn-app-space-message-card"; }
  static get originalStyleUrls() { return {
    "$": ["dvn-app-space-message-card.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["dvn-app-space-message-card.css"]
  }; }
  static get properties() { return {
    "space": {
      "type": "any",
      "mutable": false,
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "space",
      "reflect": false
    },
    "leanedSides": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "leaned-sides",
      "reflect": false,
      "defaultValue": "true"
    }
  }; }
}
